System requirements

The following components are required:

  • TrueSight Infrastructure Management version 10.7, 11.0, or 11.3.01
  • TrueSight Presentation Server version 11.3.01 or later

If you are using TrueSight Smart Reporting, you must install TrueSight Smart Reporting version 11.3.01 or later before installing the Report Engine.

You can no longer install or upgrade the SAP Business Objects by using the TrueSight Operations Management Report Engine installer. If you want to install or upgrade SAP Business Objects, you must procure a SAP Business Objects licence and then install it. With TrueSight Operations Management Reporting, you can do one of the following:

  • Install TrueSight Smart Reporting and perform a fresh installation of Report Engine 11.3.01. See the TrueSight Smart Reporting documentation for more information.
  • Install TrueSight Smart Reporting and upgrade Report Engine to version 11.3.01.
  • Upgrade Report Engine to version 11.3.01 and continue working with BMC Reporting Foundation 4.1 .

Reporting Database

DatabaseSupported versions and editions
Oracle
  • Oracle 12c Enterprise Edition with partitioning, Edition without partitioning, or Standard Edition
  • Oracle 11gR2 Enterprise Edition with partitioning, Enterprise Edition without partitioning, or Standard Edition

Note

Oracle 12c v12.1.0.2 is TLS 1.2 compliant.

SQL Server
  • SQL Server Standard Edition 2008, 2008 R2, 2012, 2014, or 2016
  • SQL Server Enterprise Edition 2008, 2008 R2, 2012, 2014 with partitioning, or 2016 with partitioning

Note

Microsoft SQL Server 2012 (SP2-CU12) (KB3152637) - 11.0.5649.0 (X64) is TLS 1.2 compliant.

TrueSight Operations Management Report Engine

The following operating systems are supported.

Microsoft Windows

  • Windows 2016 Standard (64 bit)
  • Windows 2016 Datacenter (64 bit)
  • Windows 2012 Standard (64 bit)
  • Windows 2012 R2 Standard (64 bit)
  • Windows 2012 R2 Datacenter (64 bit)
  • Windows 2012 Datacenter (64 bit)
  • Windows 2008 R2 Standard (64 bit)
  • Windows 2008 R2 Enterprise (64 bit)
  • Windows 2008 R2 Datacenter (64 bit)

Linux

For Linux, install the nss-softokn-freebl-3.12.9-11.el6.i686 & glibc-2.12-1.47.el6.i686.rpm package.

Linux versionSupported kernel version
Red Hat Enterprise Linux 6.72.6.32-573
Red Hat Enterprise Linux 6.82.6.32-642
Red Hat Enterprise Linux 6.92.6.32-696
Red Hat Enterprise Linux 7.33.10.0-514
Red Hat Enterprise Linux 7.43.10.0-693
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server 12 SP3
Oracle Linux Enterprise 6.8
  • Unbreakable Enterprise Kernel Release 4 (4.1.12-37.3.1.el6uek) for x86-64
  • Unbreakable Enterprise Kernel Release 2 (kernel-uek-2.6.39-400.278.2.el6uek) for i386
  • Red Hat Compatible Kernel (kernel-2.6.32-642.el6) for i386 and x86-64
Oracle Linux Enterprise 7.3
  • Unbreakable Enterprise Kernel (UEK) kernel-uek-4.1.12-61.1.18.el7uek (UEK R4u2 +errata)
  • Unbreakable Enterprise Kernel (UEK) kernel-3.10.0-514.el7

Oracle Linux Enterprise 7.3 continues to support, but does not ship with, the latest UEK R3u7 and later.


TrueSight Smart Reporting

Supported versionOperating system requirements

TrueSight Smart Reporting 11.3

See Preparing to install TrueSight Smart Reporting

Was this page helpful? Yes No Submitting... Thank you

Comments

  1. Abhay Bhagat

    Is Oracle Linux Enterprise 7.4 supported

    Mar 03, 2019 05:42
    1. Mukta Kirloskar

      Hello Abhay,

      I will get back to you on this today.

      Thanks!

      Mar 05, 2019 08:36
      1. Mukta Kirloskar

        Hello Abhay,

        The TrueSight Operations Management Report Engine might work with Oracle Linux Enterprise 7.4. However, we have not tested the product on this platform.

        Thank you.

        Mar 06, 2019 02:57
  2. Nikhil Shetty

    Link for " Preparing to install TrueSight Smart Reporting" does not work

    Jul 22, 2019 06:41
    1. Mukta Kirloskar

      Thank you. We have fixed this.

      Jul 22, 2019 06:58